<!DOCTYPE html>
<html>

<head>

    <link rel="stylesheet" type="text/css" href="homepage-loggedin.css" />
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">

</head>

<body>
    <!-- Optional Header -->
    <!-- <header>
        <div class="banner">
            <h1 id="banner-label">Duncan's Car Database</h1>
        </div>
    </header> -->

    <!-- Navbar -->
    <div class="nuvbar">
        <ul>
            <li><a href="index.html">Home</a></li>
            <li><a href="index.html">About</a></li>
            <li><a href="index.html">Logout</a></li>
        </ul>
    </div>

    <div class="img-container">
        <img id="car-picture" src="mini-cooper.png">
    </div>

    <!-- Form for inputing new cars -->
    <div id="input-container" class="container form-container">
        <form id="form-input" class="input-fields">
            <div id="form-content-parent">
                <span>Click a Button to Begin</span>
            </div>
        </form>
    </div>

    <!-- <label id="submit-form-label" for="make">Select Make</label>
                <select id="make">
                    <option value="TVR">TVR</option>
                    <option value="Ford">Ford</option>
                    <option value="Volkswagen">Volkswagen</option>
                    <option value="Lamborghini">Lamborghini</option>
                </select>
                <input class="model" type="text" placeholder="Model">
                <input class="engine" type="text" placeholder="Engine">
                <input class="top-speed" type="text" placeholder="Top Speed">
                <input class="zero-to-sixty" type="text" placeholder="0-60">
                <input class="mpg" type="text" placeholder="MPG">
                <input class="price" type="text" placeholder="Price">
                <button id="submit-car" class="btn btn-dark">Submit</button> -->


    <!-- Grid Layout for Sidebar and Data Table -->
    <div class="grid-container">
        <div class="content sidebar">
            <div class="mb-3">
                <button id="get-cars" class="duncan-button" type="button">Get All Cars</button>
            </div>
            <div class="mb-3">
                <button id="get-car-by-model" class="duncan-button" type="button">Get Model</button>
            </div>
            <div class="mb-3">
                <button id="make-entry" class="duncan-button">Make Entry</button>
            </div>
            <div class="mb-3">
                <button id="update-car" class="duncan-button" type="button">Update Car</button>
            </div>
            <div class="mb-3">
                <button id="delete-car" class="duncan-button" type="button">Delete Car</button>
            </div>
            <div class="mb-3">
                <button id="add-make" class="duncan-button" type="button">Add Make</button>
            </div>
            <div class="mb-3">
                <button id="delete-make" class="duncan-button" type="button">Delete Make</button>
            </div>
            <div class="mb-3">
                <button id="get-makes" class="duncan-button" type="button">Get All Makes</button>
            </div>
        </div>

        <div id="table-content" class="content table-container">

            <table id="table-data" class="table table-striped">
                <thead>
                    <tr>
                        <th scope="col">Region</th>
                        <th scope="col">Make</th>
                        <th scope="col">Model</th>
                        <th scope="col">Engine Type</th>
                        <th scope="col">Top Speed</th>
                        <th scope="col">0-60</th>
                        <th scope="col">MPG</th>
                        <th scope="col">Price</th>
                    </tr>
                </thead>
                <tbody id="table-data-parent">
                    <div hidden id="loading-ring" class="lds-dual-ring"></div>
                </tbody>
            </table>
        </div>
    </div>



</body>
<!-- <script src="get-cars-request.js"></script> -->
<script src="sidebar-function.js"></script>
<script src="sidebar-execution.js"></script>
<!-- <script src="get-cars-by-model-test.js"></script> -->
<!-- <script src="update-car-model.js"></script> -->
<!-- <script src="delete-by-name.js"></script> -->
<script src="crud-requests.js"></script>
<script src="table-render.js"></script>

</html>